Subject: Re: bug#59897: 29.0.60; csharp-ts-mode: variable-name fontified as method when invoking method with generic type-argument.
From: Yuan Fu <[email-masked]>
To: Jostein Kjønigsen <[email-masked]>
Cc: Theodor Thornhill <[email-masked]>, Eli Zaretskii <[email-masked]>, [email-masked], [email-masked], [email-masked]
Date: Wed, 14 Dec 2022 14:34:04 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

> On Dec 14, 2022, at 1:45 PM, Jostein Kjønigsen <[email-masked]> wrote:
> 
> Hey Yuan. 
> 
> From what I can see you pushed Teos patch and not mine?
> 
> https://git.savannah.gnu.org/cgit/emacs.git/commit/?h=emacs-29&id=647b6a8099f414e5a7b162efd3658e174064dfe7emacs.git - Emacs source repository
> savannah.gnu.org
> 
> 
> In the email discussion earlier we unanymously decided on that for technical reasons my patch was more appropriate for this particular bug, and it also fixed another fontification bug. 
> 
> What do we do now? Should we revert this commit and apply mine instead?
> 
> Sorry for all the “noise”, but this gets hard to follow up for all of us when latency between input and output gets too long, and then we end up writing emails like this, instead of writing good code to improve emacs and our new major-modes. 
> 
> If this could get cleaned up, installed properly, confirmed -and- pushed at the same time, it would be easier for me to verify that the right patch was put in place, and then I wouldn’t nag you for weeks end for what is really just 4 lines of code ;)

Ahhhhh sorry! I reverted the old commit and applied yours, you should now see it. I’ll try to process these patches more promptly in the future.

Yuan